View Issue Details

IDProjectCategoryView StatusLast Update
0005238GNUnetDHT servicepublic2018-06-07 00:24
ReporterxrsAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSarchlinuxOS Versionhead
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0005238: make check in dht/test_dht_tools.sh fails
Descriptionmake check in dht/test_dht_tools.sh fails
Steps To Reproduce$ cd dht
$ make check

Also executed in /dht:
> ./test_dht_tools.sh
TEST: Generating hostkey...Jan 03 16:43:59-471403 util-1438 WARNING Error while determining the file size of `/tmp/../../contrib/no_forcestart.conf'
Jan 03 16:43:59-471603 gnunet-peerinfo-1438 ERROR Malformed configuration file `/tmp/test_dht_api_peer1.2G8Uef6D', exit ...
FAIL: error running gnunet-peerinfo -c /tmp/test_dht_api_peer1.2G8Uef6D -sq
Command output was:

End of message.
TagsNo tags attached.

Activities

ng0

2018-01-03 17:54

developer   ~0012714

Which python version do you use? The current python based tests are only python2 compatible.

xrs

2018-01-03 19:54

manager   ~0012719

I'm using python3. With python2 the test passes.

Sorry I didn't see it, it's the same issue like 0005142, which was marked as resolved. So let's change it to resolved.

Christian Grothoff

2018-01-12 12:06

manager   ~0012769

Fixed in 2dd837124cd405982b0fcfa0057a688e2f34ab9d

Issue History

Date Modified Username Field Change
2018-01-03 16:49 xrs New Issue
2018-01-03 16:49 xrs Status new => assigned
2018-01-03 16:49 xrs Assigned To => Bart Polot
2018-01-03 17:54 ng0 Note Added: 0012714
2018-01-03 19:54 xrs Note Added: 0012719
2018-01-12 12:06 Christian Grothoff Assigned To Bart Polot => Christian Grothoff
2018-01-12 12:06 Christian Grothoff Status assigned => feedback
2018-01-12 12:06 Christian Grothoff Target Version => 0.11.0pre66
2018-01-12 12:06 Christian Grothoff Note Added: 0012769
2018-01-12 12:06 Christian Grothoff Status feedback => resolved
2018-01-12 12:06 Christian Grothoff Resolution open => fixed
2018-01-12 12:06 Christian Grothoff Fixed in Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed